package org.springblade.modules.platform.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 标签表实体类
 *
 * @author zzyd
 * @since 2023-02-08
 */
@Data
@TableName("biz_lable")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Lable对象", description = "标签表")
public class Lable extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 类型 1-分类 2-调酒师 3-商品
	*/
	@ApiModelProperty(value = "类型 1-分类 2-调酒师 3-商品")
	private Integer type;
	/**
	* 标签名称
	*/
	@ApiModelProperty(value = "标签名称")
	private String name;
	/**
	* 状态 0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态 0-禁用 1-启用")
	private Integer status;


}
